Package: org.codehaus.groovy.control

## [Java] Class StaticImportVisitor

- org.codehaus.groovy.control.StaticImportVisitor

- Visitor to resolve constants and method calls from static Imports

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.codehaus.groovy.control.SourceUnit` | `getSourceUnit()`
    `` | `Expression` | `transform(Expression exp)`
    `` | `protected Expression` | `transformBinaryExpression(BinaryExpression be)`
    `` | `protected Expression` | `transformClosureExpression(ClosureExpression ce)`
    `` | `protected Expression` | `transformConstructorCallExpression(ConstructorCallExpression cce)`
    `` | `protected Expression` | `transformMethodCallExpression(MethodCallExpression mce)`
    `` | `protected Expression` | `transformPropertyExpression(PropertyExpression pe)`
    `` | `protected Expression` | `transformVariableExpression(VariableExpression ve)`
    `` | `void` | `visitAnnotations(AnnotatedNode node)`
    `` | `void` | `visitClass(ClassNode node, org.codehaus.groovy.control.SourceUnit source)`
    `` | `protected void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeExpressionTransformer` | `transform, visitAnnotations, visitAssertStatement, visitCaseStatement, visitConstructorOrMethod, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitProperty, visitReturnStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitWhileLoop`
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### protected org.codehaus.groovy.control.SourceUnit getSourceUnit()

    - #### public Expression transform(Expression exp)

    - #### protected Expression transformBinaryExpression(BinaryExpression be)

    - #### protected Expression transformClosureExpression(ClosureExpression ce)

    - #### protected Expression transformConstructorCallExpression(ConstructorCallExpression cce)

    - #### protected Expression transformMethodCallExpression(MethodCallExpression mce)

    - #### protected Expression transformPropertyExpression(PropertyExpression pe)

    - #### protected Expression transformVariableExpression(VariableExpression ve)

    - #### @Override public void visitAnnotations(AnnotatedNode node)

    - #### public void visitClass(ClassNode node, org.codehaus.groovy.control.SourceUnit source)

    - #### @Override protected void visitConstructorOrMethod(MethodNode node, boolean isConstructor)